play.data.binding

## Class BindingAnnotations

- java.lang.Object
- - play.data.binding.BindingAnnotations

-     public class BindingAnnotations
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.annotation.Annotation[]` | `annotations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingAnnotations()`
    `BindingAnnotations(java.lang.annotation.Annotation[] annotations)`
    `BindingAnnotations(java.lang.annotation.Annotation[] annotations, java.lang.String[] profiles)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkNoBinding()`
    `java.lang.String[]` | `getProfiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annotations

          public final java.lang.annotation.Annotation[] annotations

  - ### Constructor Detail

    - #### BindingAnnotations

          public BindingAnnotations()

    - #### BindingAnnotations

          public BindingAnnotations(java.lang.annotation.Annotation[] annotations)

    - #### BindingAnnotations

          public BindingAnnotations(java.lang.annotation.Annotation[] annotations,
                                    java.lang.String[] profiles)

  - ### Method Detail

    - #### getProfiles

          public java.lang.String[] getProfiles()

    - #### checkNoBinding

          public boolean checkNoBinding()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly